Bug 10868 - Use new DataTables include in catalog templates
Summary: Use new DataTables include in catalog templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-10 16:18 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10868 - Use new DataTables include in catalog templates (6.58 KB, patch)
2013-09-10 16:29 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10868 - Use new DataTables include in catalog templates (6.66 KB, patch)
2013-09-19 23:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10868 - Use new DataTables include in catalog templates (6.91 KB, patch)
2013-09-20 09:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-09-10 16:18:07 UTC
Catalog templates which use the DataTables plugin should be updated to use the new DataTables include file introduced by Bug 10649.
Comment 1 Owen Leonard 2013-09-10 16:29:32 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-19 23:51:13 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-09-20 09:03:15 UTC
Created attachment 21271 [details] [review]
Bug 10868 - Use new DataTables include in catalog templates

Bug 10649 introduced a new include file for adding DataTables-related
JavaScript assets. This patch adds use of this include file to all
catalog-related pages which use DataTables.

The checkout history script has been altered to send unformatted dates
to the template, and the template now uses the "title-string" sorting
filter to enable sorting on unformatted dates.

To test, view the following pages and confirm that table sorting is
still working correctly:

Catalog -> Biblio detail page
Catalog -> Biblio detail page -> Checkout history

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment: Sorting works. No koha-qa errors.
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Note: On the issue history page:
1/ If the checkin on is empty (the item is currently checked out), the line
is sorted in last.
2/ The Renewed column is not sorted by date.
Before this patch, the sort was worse.
Comment 4 Jonathan Druart 2013-09-20 09:04:30 UTC
I added a new test in qa tools in order to avoid new insertion of "jquery.dataTables.min.js".
Comment 5 Galen Charlton 2013-09-21 19:29:45 UTC
Pushed to master.  Thanks, Owen!